<?PHP
  class Dashboard{
    public $id;
	public $cols;
	
	function loadWidgets(){
	  $this->cols[] = $this->loadWidgetsByColumn(1);
	  $this->cols[] = $this->loadWidgetsByColumn(2);
	  $this->cols[] = $this->loadWidgetsByColumn(3);  
	}
	
	function loadWidgetsByColumn($columnId){
	  $columnId = $GLOBALS['db']->EscapeString($columnId);
      $rows = $GLOBALS['db']->ReadRows("SELECT path FROM {'dbprefix'}dashboards 
	                                    WHERE col = '".$columnId."' AND id = '".$this->id."'
			   	                	    ORDER BY row");
	  if($rows){
	    foreach($rows as $row){
	      $widgetData = WidgetController::getWidgetData($row->path);
		  $widget = WidgetController::getWidget($widgetData);
		  $widget->load();
		  $res[] = $widget;
	    }
	  }
	  
	  return $res;
    }
	
    function display(){
	  echo "<div id=\"columns\">";
	  $this->displayColumn(0);
	  $this->displayColumn(1);
	  $this->displayColumn(2);
	  ?>
        <script type="text/javascript" src="http://jqueryjs.googlecode.com/files/jquery-1.2.6.min.js"></script>
        <script type="text/javascript" src="jquery-ui-personalized-1.6rc2.min.js"></script>
        <script type="text/javascript" src="inettuts.js"></script>
	  <?PHP
    }
	
	function displayColumn($id){
	  ?>
        <ul id="column<?PHP echo $id; ?>" class="column">
		  <?PHP
		    if($this->cols[$id]){
			  foreach($this->cols[$id] as $widget){
			    $widget->display();
			  }
			}
		  ?>
		</ul>
	  <?PHP
	}
  }
?>